<?php

/* @var $this MainController */

if ( !isset( $manual ) )
    $manual = false;
if ( $user ){
    ob_start(); 
    $userConfig = $this->beginWidget('SimpleForm', array( 
            'nbBox' => null,
            'labelSize' => 12,
            'inputSize' => 12,
            'formClass' => ""
    ) );
        $userConfig->errorSummary( $user );
        echo CHtml::openTag("div", array( ) );
            echo $userConfig->activePasswordField( $user, "password", array('data-validate' => "validatePassword", "data-placement" => "left", 'id'=>'OrigPassword' ), true );    
            echo $userConfig->activePasswordField( $user, "verifyPassword", array('data-validate' => "validatePasswordMatch", "data-placement" => "left" ) );  
        echo CHtml::closeTag("div");
    $this->endWidget();
    $Security = ob_get_contents ( );
    ob_end_clean();
    
    ob_start(); 
    $EULAConfig = $this->beginWidget('SimpleForm', array( 
            'nbBox' => null,
            'labelSize' => 12,
            'inputSize' => 12,
            'formClass' => ""
    ) );
        echo CHtml::tag("p", array( ), "Please read the following license agreement carefully. You must accept this agreement before using this device." );
        echo CHtml::tag("iframe ", array( "src" => "/copyrights/SpinetiX", "style" => "width: 430px; height: 170px;"), "" );
        echo CHtml::openTag("div", array( ) );
            echo $userConfig->activeCheckBox( $wizard, "eula", array('data-validate' => "validateEula", "data-placement" => "left", 'id'=>'EULA', 'offset' => 0 ), true, true );                
        echo CHtml::closeTag("div");
    $this->endWidget();
    $eula = ob_get_contents ( );
    ob_end_clean();


} else {
    $Security = "user not found";
}

$doneFunction = <<<JSSCRIPT
function(response, textStatus, jqXHR) {
    wizard.submitSuccess();
    if (response.errors.length) {
        wizard.reset();
        wizard.setCard(4);
        wizard.updateProgressBar(80);
        var password = $('#OrigPassword');
        password.parents("div.form-group").toggleClass("has-error", true);
        wizard.errorPopover(password, response.errors[0]);
        return;
    }
    wizard.close();
    wizard.hideButtons();
    wizard.updateProgressBar(0);
    yiiModel.updatePlayerResponse(response, textStatus, jqXHR);
    wizard.reset();
}
JSSCRIPT;

$this->widget('SPXWizard', array(
    'title' => "Configuration Wizard",    
    'pages' => array(        
        array(  'title'=> 'EULA', 
                'content'=> $eula,
                'visible' => !$manual
        ),
        array(  'title'=> 'Identity', 
                'content'=> $this->renderPartial('system/identity', array( 
                    'playerConfig' => $playerConfig,
                    'wizard' => true
                ), true ) 
        ),
        array(  'title'=> 'Display', 
                'content'=> $this->renderPartial('display/display', array( 
                    'playerConfig' => $playerConfig,
                    'screenSettings' => $screenSettings,
                    'wizard' => true
                ), true ) 
        ),
        array(  'title'=> 'Time Zone', 
                'content'=> $this->renderPartial('system/timezone', array( 
                    'timeSettings' => $timeSettings,
                    'detectTimeZone' => !$manual,
                    'wizard' => true
                ), true ) 
        ),
        array(  'title'=> 'Admin', 
                'content'=> $Security,
                'visible' => !$manual
        )
    ),    
    'success' => "Success",
    'error' => "Error",
    'failure' => "An error occurred when submitting the configuration. Please reload the page and start the Quick Configuration again.",
    'options' => array(
        'formClass' => 'xxx',
        'contentHeight' => 380,
        'contentWidth' => 650
    ), 
    'ajax' => array(
        "type" => "POST",
        "url" => CHtml::normalizeUrl( array( ) ),            
        "dataType" => "json",
        "failFunction" => "wizardFailFunction",
        "doneFunction" => $doneFunction
    )
) );
?>
<script type="text/javascript" >
//<![CDATA[
    function wizardFailFunction( jqXHR, textStatus, errorThrown ){
        //console.log(errorThrown);
        yiiModel.addErrors( [ errorThrown] );
    }
    function validatePassword( el ) {
        var password = el.val();
        var retValue = {};
        
        if ( password == "" ){
            retValue.status = false;
            retValue.msg = "Password cannot be blank";
        } else if ( password.length > 64 ){
            retValue.status = false;
            retValue.msg = "Password length cannot exceed 64 chars";
        } else {        
            retValue.status = true;
        }

        return retValue;
    }
    function validatePasswordMatch( el ) {
        var verif = el.val();
        var password = $('#OrigPassword').val();
        var retValue = {};
        
        if ( password != verif ){
            retValue.status = false;
            retValue.msg = "Retype password do not match";
        } else {        
            retValue.status = true;
        }

        return retValue;
    }
    function validateEula( el ) {
        var retValue = {};
        if ( !el.prop('checked') ){
            retValue.status = false;
            retValue.msg = "You must accept the EULA to continue";
        } else {        
            retValue.status = true;
        }

        return retValue;
    }
//]]></script>